Bug 1671646 - [abrt] git-cola: _check_arg_types(): genericpath.py:149:_check_arg_types:TypeError: join() argument must be str or bytes, not 'NoneType'
Summary: [abrt] git-cola: _check_arg_types(): genericpath.py:149:_check_arg_types:Type...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: git-cola
Version: 28
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Nikos Roussos
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:3c0a885e8ab76b26b0ec4b6d347...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-02-01 07:21 UTC by David Fernandez
Modified: 2019-07-16 02:01 UTC (History)
6 users (show)

Fixed In Version: git-cola-3.3-1.fc29 git-cola-3.4-1.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-04-02 02:13:38 UTC


Attachments (Terms of Use)
File: backtrace (965 bytes, text/plain)
2019-02-01 07:21 UTC, David Fernandez
no flags Details
File: cgroup (331 bytes, text/plain)
2019-02-01 07:21 UTC, David Fernandez
no flags Details
File: cpuinfo (1.41 KB, text/plain)
2019-02-01 07:21 UTC, David Fernandez
no flags Details
File: environ (4.24 KB, text/plain)
2019-02-01 07:21 UTC, David Fernandez
no flags Details
File: mountinfo (4.24 KB, text/plain)
2019-02-01 07:21 UTC, David Fernandez
no flags Details
File: namespaces (129 bytes, text/plain)
2019-02-01 07:21 UTC, David Fernandez
no flags Details
File: open_fds (1.37 KB, text/plain)
2019-02-01 07:21 UTC, David Fernandez
no flags Details

Description David Fernandez 2019-02-01 07:21:22 UTC
Description of problem:
Not present when it happened.

Version-Release number of selected component:
git-cola-2.10-2.fc26

Additional info:
reporter:       libreport-2.9.5
cmdline:        /usr/bin/python3 /usr/bin/git-cola --prompt
crash_function: _check_arg_types
exception_type: TypeError
executable:     /usr/bin/git-cola
interpreter:    python3-3.6.7-2.fc28.x86_64
kernel:         4.19.13-200.fc28.x86_64
runlevel:       N 5
type:           Python3
uid:            1000

Truncated backtrace:
genericpath.py:149:_check_arg_types:TypeError: join() argument must be str or bytes, not 'NoneType'

Traceback (most recent call last):
  File "/usr/share/git-cola/lib/cola/fsmonitor.py", line 216, in run
    self._handle_events()
  File "/usr/share/git-cola/lib/cola/fsmonitor.py", line 320, in _handle_events
    self._check_event(wd, mask, name)
  File "/usr/share/git-cola/lib/cola/fsmonitor.py", line 305, in _check_event
    core.decode(name)))
  File "/usr/lib64/python3.6/posixpath.py", line 94, in join
    genericpath._check_arg_types('join', a, *p)
  File "/usr/lib64/python3.6/genericpath.py", line 149, in _check_arg_types
    (funcname, s.__class__.__name__)) from None
TypeError: join() argument must be str or bytes, not 'NoneType'

Local variables in innermost frame:
s: None
hasbytes: False
hasstr: True
args: ('/home/david.fernandez/src_mgt/rowesolutions/Doorlock/import/nRF5_SDK/external/micro-ecc/nrf52hf_armgcc/armgcc', None)
funcname: 'join'

Potential duplicate: bug 1670143

Comment 1 David Fernandez 2019-02-01 07:21:25 UTC
Created attachment 1525724 [details]
File: backtrace

Comment 2 David Fernandez 2019-02-01 07:21:26 UTC
Created attachment 1525725 [details]
File: cgroup

Comment 3 David Fernandez 2019-02-01 07:21:27 UTC
Created attachment 1525726 [details]
File: cpuinfo

Comment 4 David Fernandez 2019-02-01 07:21:28 UTC
Created attachment 1525727 [details]
File: environ

Comment 5 David Fernandez 2019-02-01 07:21:29 UTC
Created attachment 1525728 [details]
File: mountinfo

Comment 6 David Fernandez 2019-02-01 07:21:31 UTC
Created attachment 1525729 [details]
File: namespaces

Comment 7 David Fernandez 2019-02-01 07:21:32 UTC
Created attachment 1525730 [details]
File: open_fds

Comment 8 Fedora Update System 2019-02-04 09:42:39 UTC
git-cola-3.3-1.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-6038fcd228

Comment 9 Fedora Update System 2019-02-04 09:42:52 UTC
git-cola-3.3-1.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2019-99c132ee23

Comment 10 Fedora Update System 2019-02-04 09:43:02 UTC
git-cola-3.3-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-fe18a0bc67

Comment 11 Fedora Update System 2019-02-05 01:41:45 UTC
git-cola-3.3-1.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-99c132ee23

Comment 12 Fedora Update System 2019-02-05 02:04:43 UTC
git-cola-3.3-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-fe18a0bc67

Comment 13 Fedora Update System 2019-02-05 04:05:30 UTC
git-cola-3.3-1.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-6038fcd228

Comment 14 Fedora Update System 2019-04-02 02:13:38 UTC
git-cola-3.3-1.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2019-06-28 16:19:37 UTC
FEDORA-EPEL-2019-0901e336dc has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-0901e336dc

Comment 16 Fedora Update System 2019-06-28 18:38:19 UTC
git-cola-3.4-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-0901e336dc

Comment 17 Fedora Update System 2019-07-16 02:01:19 UTC
git-cola-3.4-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.